import { sqlite } from './init.js'

/**
 * This function takes an array of strings to be ran on the DB.
 * 
 * @param {[string]} instructions Array of instructions to be ran.
 * @author BurnyLlama
 */
export function execMany(instructions) {
    for (const instruction of instructions)
        sqlite.exec(instruction)
}